SOC7 officially only supports SLES12 SP2, but most of the code will work on SP3 as well - the one hard package is the openvswitch-kmp which will probably need to be rebuilt from source for the SP3 kernel.
Or maybe you just use the neutron linuxbridge code. Then you will not need the openvswitch-kmp.

SOC8 (coming next year) will work with SLES12 SP3